
From: Alasdair G Kergon <agk@redhat.com>

Remove unused bs_bio_init().

Signed-Off-By: Alasdair G Kergon <agk@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/md/dm-io.c |   16 ----------------
 1 files changed, 16 deletions(-)

diff -puN drivers/md/dm-io.c~device-mapper-remove-unused-bs_bio_init drivers/md/dm-io.c
--- 25/drivers/md/dm-io.c~device-mapper-remove-unused-bs_bio_init	2005-01-22 23:31:30.817702152 -0800
+++ 25-akpm/drivers/md/dm-io.c	2005-01-22 23:31:30.821701544 -0800
@@ -149,22 +149,6 @@ static inline unsigned bvec_index(unsign
 	return 0;
 }
 
-static inline void bs_bio_init(struct bio *bio)
-{
-	bio->bi_next = NULL;
-	bio->bi_flags = 1 << BIO_UPTODATE;
-	bio->bi_rw = 0;
-	bio->bi_vcnt = 0;
-	bio->bi_idx = 0;
-	bio->bi_phys_segments = 0;
-	bio->bi_hw_segments = 0;
-	bio->bi_size = 0;
-	bio->bi_max_vecs = 0;
-	bio->bi_end_io = NULL;
-	atomic_set(&bio->bi_cnt, 1);
-	bio->bi_private = NULL;
-}
-
 static unsigned _bio_count = 0;
 struct bio *bio_set_alloc(struct bio_set *bs, int gfp_mask, int nr_iovecs)
 {
_
